/**
 * \file header1.hpp
 * define some usefull macros
 */

/**
 * \brief Decorate unused parameters in function/method declaration.
 *
 * The macro masks the parameter name from real compiler so that the compiler
 * does not produce warning about the unused paramter.
 * The doxy configuration file contains the definition
 * \verbatim PREDEFINED            += "UNUSED(p)=p" \endverbatim
 * so that the parameters are visible to doxygen. This makes it possible to
 * document them
 */
#define UNUSED(par) 
